'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (_ref) {
	var t = _ref.types;

	var namespaceVisitor = {
		ExpressionStatement: function ExpressionStatement(path, state) {
			if (state.namespaced) {
				path.stop();
			}

			var node = path.node;
			var expression = node.expression;

			if (t.isCallExpression(expression)) {
				var callee = expression.callee;

				if (t.isIdentifier(callee, { name: 'define' })) {
					var namespace = this.opts.namespace || 'Liferay.Loader';

					callee.name = namespace + '.define';

					state.namespaced = true;
					path.stop();
				}
			}
		}
	};

	return {
		visitor: {
			Program: {
				exit: function exit(path, _ref2) {
					var opts = _ref2.opts;

					// We must traverse the AST again because the third party
					// transform-es2015-modules-amd emits its define() call after
					// Program exit :-(
					path.traverse(namespaceVisitor, { opts: opts });
				}
			}
		}
	};
};
//# sourceMappingURL=index.js.map